import type { RouteRecordRaw } from 'vue-router';

const routes: RouteRecordRaw[] = [
  {
    path: '/',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      { path: '', redirect: '/lists' },
      { path: 'lists', name: 'PersonalLists', component: () => import('pages/ListsPage.vue') },
      {
        path: 'lists/:id',
        name: 'ListDetail',
        component: () => import('pages/ListDetailPage.vue'),
        props: true,
      },
      { path: 'groups', name: 'GroupsList', component: () => import('pages/GroupsPage.vue') },
      {
        path: 'groups/:id',
        name: 'GroupDetail',
        component: () => import('pages/GroupDetailPage.vue'),
        props: true,
      },
      {
        path: 'groups/:groupId/lists',
        name: 'GroupLists',
        component: () => import('pages/ListsPage.vue'),
        props: true,
      },
      { path: 'account', name: 'Account', component: () => import('pages/AccountPage.vue') },
    ],
  },

  {
    path: '/',
    component: () => import('layouts/AuthLayout.vue'),
    children: [
      { path: 'login', component: () => import('pages/LoginPage.vue') },
      { path: 'signup', component: () => import('pages/SignupPage.vue') },
    ],
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '/:catchAll(.*)*',
    component: () => import('pages/ErrorNotFound.vue'),
  },
];

export default routes;
